

Marcelo points out that this function's main caller already memsets the
structure, so avoid doing it again.

Also, an earlier knfsd patch withdrew file_ra_state_init()'s other caller, so
unexport this function.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/mm/readahead.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

diff -puN mm/readahead.c~file_ra_state_init-speedup mm/readahead.c
--- 25/mm/readahead.c~file_ra_state_init-speedup	2004-08-20 00:03:19.979397128 -0700
+++ 25-akpm/mm/readahead.c	2004-08-20 00:04:25.159488248 -0700
@@ -28,16 +28,15 @@ struct backing_dev_info default_backing_
 EXPORT_SYMBOL_GPL(default_backing_dev_info);
 
 /*
- * Initialise a struct file's readahead state
+ * Initialise a struct file's readahead state.  Assumes that the caller has
+ * memset *ra to zero.
  */
 void
 file_ra_state_init(struct file_ra_state *ra, struct address_space *mapping)
 {
-	memset(ra, 0, sizeof(*ra));
 	ra->ra_pages = mapping->backing_dev_info->ra_pages;
 	ra->average = ra->ra_pages / 2;
 }
-EXPORT_SYMBOL(file_ra_state_init);
 
 /*
  * Return max readahead size for this inode in number-of-pages.
_
